package domain

type AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig struct {
	/*
	   门槛金额     */
	Amount *int64 `json:"amount,omitempty" `

	/*
	   是否生效满元条件     */
	AmountAt *bool `json:"amount_at,omitempty" `

	/*
	   生效类目     */
	Categories *[]string `json:"categories,omitempty" `

	/*
	   门槛件数     */
	Count *int64 `json:"count,omitempty" `

	/*
	   是否生效满件条件     */
	CountAt *bool `json:"count_at,omitempty" `

	/*
	   单笔订单最大可用张数     */
	MaxUseCountPerOrder *int64 `json:"max_use_count_per_order,omitempty" `

	/*
	   是否限制本人使用     */
	OnlyMemberSelf *bool `json:"only_member_self,omitempty" `

	/*
	   券的使用范围     */
	RangeType *int64 `json:"range_type,omitempty" `

	/*
	   生效门店     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   生效终端     */
	Terminals *[]int64 `json:"terminals,omitempty" `

	/*
	   人群信息     */
	UserCrowdConfig *AlibabaWdkCouponTemplateQueryCouponTemplateUserCrowdConfig `json:"user_crowd_config,omitempty" `

	/*
	   最大优惠金额     */
	MaxEffectAmount *int64 `json:"max_effect_amount,omitempty" `

	/*
	   排品规则     */
	ExcludeItemRules *[]int64 `json:"exclude_item_rules,omitempty" `

	/*
	   生效商家类目     */
	MerchantCategories *[]string `json:"merchant_categories,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetAmount(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.Amount = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetAmountAt(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.AmountAt = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetCategories(v []string) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.Categories = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetCount(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.Count = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetCountAt(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.CountAt = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetMaxUseCountPerOrder(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.MaxUseCountPerOrder = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetOnlyMemberSelf(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.OnlyMemberSelf = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetRangeType(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.RangeType = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetShopIds(v []string) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.ShopIds = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetTerminals(v []int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.Terminals = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetUserCrowdConfig(v AlibabaWdkCouponTemplateQueryCouponTemplateUserCrowdConfig) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.UserCrowdConfig = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetMaxEffectAmount(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.MaxEffectAmount = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetExcludeItemRules(v []int64) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.ExcludeItemRules = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig) SetMerchantCategories(v []string) *AlibabaWdkCouponTemplateQueryCouponTemplateConditionConfig {
	s.MerchantCategories = &v
	return s
}
